DRUO
Get started
Checkout Links

Get Checkout Link

GEThttps://api.druo.com/checkout/link/{checkout_link_uuid}

Retrieve the details of an existing checkout link.

Returns the configuration, styling, metadata, and status of a specific checkout link using its unique identifier.

Path parameters

Response

uuidstringoptional

The checkout link's unique identifier (UUID).

Example: clk_422f0f81-5001-4cce-a229-242d9ab9960a
codestringoptional

The checkout link's code.

Example: CSFM03FNA3
urlstringoptional

The URL that the user should be redirected to in order to complete the checkout.

Example: https://link.druo.com/checkout/?sl=e4243523423423423423
delivary_statusstringoptional

The delivery status of the checkout link.

Example: OPENNED
background_colorstringoptional

The HEX code for the link's background color.

Example: #333333

The HEX code for the link's transaction details background color. If empty, defaults to #f2f2f2.

Example: #f2f2f2
sidebar_text_colorstringoptional

The HEX code for the link's transaction details text color. If empty, defaults to #333333.

Example: #222222

The HEX code for the link's verification flow background color. If empty, defaults to #ffffff.

Example: #ffffff

The HEX code for the link's verification flow text color. If empty, defaults to #333333.

Example: #333333
button_colorstringoptional

The HEX code for the link's button color.

Example: #ffffff
button_text_colorstringoptional

The HEX code for the link's button text color.

Example: #000000
end_userEndUserCustomeroptional

Information about the end user customer.

transactionPaymentPaymentoptional

Transaction payment details.

default_institutionstringoptional

The checkout link's default institution.

primary_referencestringoptional

The checkout link's primary reference. Used to associate the session with an entity in an external system.

Example: 23423524
secondary_referencestringoptional

The checkout link's secondary reference. Used to associate the session with an entity in an external system.

Example: bj39fhow39fhqp3f0hfae4344
default_languagestringoptional

The language code to display this link in. If left blank, the system defaults to English.

Possible values:es_COen_US
redirect_urlstringoptional

The URL to redirect to after the checkout flow is completed. Reference, Status, and Connected Account Code parameters will be appended.

Example: https://example.com
expiration_datestringoptional

The expiration date for this checkout link in GMT. If set, opening an expired link presents an error.

Example: 2021-11-16T23:23:38
expiredbooleanoptional

Indicates whether the checkout link has expired.

Example: false

If true, the user is redirected immediately without showing the DRUO confirmation page.

Example: false
metadataobjectoptional

Set of key-value pairs that you can attach to an object.

Example: {"order_id": "6735"}
date_created_gmtstringoptional

The creation date of the checkout link in GMT.

Example: 2021-11-15T23:23:38Z
date_updated_gmtstringoptional

The last updated date of the checkout link in GMT.

Example: 2021-11-15T23:23:38Z
NextGETList Checkout Links